<?php
date_default_timezone_set ( "America/Lima" );
setlocale( LC_ALL, "es_ES" );

//header( 'Access-Control-Allow-Origin: http://www.tedibujo.com' );

header( "Access-Control-Allow-Origin: *" );
header( 'Access-Control-Allow-Credentials: true' );

header( 'Access-Control-Allow-Methods: GET, POST, PUT, DELETE, OPTIONS' );
header( 'Access-Control-Max-Age: 604800' );

header( 'Access-Control-Allow-Headers: x-requested-with' );

function pr( $s_Contenido )
{
    echo "<pre>";
    print_r( $s_Contenido );
    echo "</pre>";
}

try 
{
    $b_Debug = isset( $_REQUEST['debug'] ) ? true : false;
    $s_NombreArchivo = $_REQUEST['nombre_archivo'];
    $a_rs['nombre_archivo'] = $s_NombreArchivo;
    //pr( $s_NombreArchivo );
    
    $getdata = http_build_query
    (
        array
        (
            
        )
    );
    
    $opts = array
    (
        'http' => array
        (
            'method'  => 'GET',
            'content' => $getdata
        )
    );
    
    $context  = stream_context_create( $opts );

    //pr( "Inicio del Programa<br><br>" );
    
    if( $b_Debug )
    {
        $SF_ROOT_DIR = "C:\wamp\www";
        $s_CarpetaDebug = "hardsoft";
        
        $s_DirArchivo = $SF_ROOT_DIR.DIRECTORY_SEPARATOR.$s_CarpetaDebug.DIRECTORY_SEPARATOR.'web'.DIRECTORY_SEPARATOR."tmp".DIRECTORY_SEPARATOR.$s_NombreArchivo;
        
        $s_Contenido = file_get_contents( $s_DirArchivo, false, $context );
		
		//pr( $s_Contenido );
    }
    else
    {
        $s_Contenido = file_get_contents( "http://www.corporacionhardsoft.com/hardsoft/web/tmp/".$s_NombreArchivo, false, $context );
    }
    
    if( !$s_Contenido )
    {
        //throw new Exception( "No se puede imprimir en local, por un error interno." );
    }
    $a_rs['error'] = false;
    
	//pr( "Siguiente....<br><br>" );

    //exit;
    
    $printer = "EPSON FX-890 Ver 2.0";
    $enlace  = printer_open( $printer );
    printer_write( $enlace, $s_Contenido );
    printer_close( $enlace );
    
    //pr( printer_list( PRINTER_ENUM_LOCAL ) );
    
}
catch ( Exception $o_Exception )
{
    $a_rs['error'] = true;
    $a_rs['mensaje_error'] = $o_Exception->getMessage();
}
echo json_encode( $a_rs );
exit;